AgentConnect
Agents

Read a dream's staged file

Proxy one byte slice of a staged output file (default the MEMORY.md index) live from the owning daemon. nextOffset is authoritative — clients must not recompute it.

GET
/v1/orgs/{orgId}/agents/{id}/memory/dreams/{dreamId}/file

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
dreamId*string
Length1 <= length <= 128

Query Parameters

channelKey?string
Match^[A-Za-z0-9._-]+$
Length1 <= length <= 120
path?string
Length1 <= length
offset?integer
Range0 <= value <= 9007199254740991
limit?integer
Range0 < value <= 65536

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/orgs/string/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/memory/dreams/string/file"
{  "path": "string",  "exists": true,  "size": 0,  "mtime": "string",  "content": "string",  "offset": 0,  "nextOffset": 0,  "truncated": true}